<?php

/* idna.php: Convert international domain names in email addresses
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: idna.php,v 1.3 2005/05/27 19:25:04 sailfrog Exp $
*/

/**
 *  Convert idna domain names
 *
 *  @param      $array      array       addresses to convert 
 *  @param      $IDN        object      IDN class
 *  @return                 array       converted addresses
 *
 */

function hm_idna_convert($array, $IDN) {
    $converted = array();
    foreach ($array as $val) {
        if ($temp = $IDN->encode($val)) {
            $converted[] = $temp;
        }
        else {
            $converted[] = $val;
        }
    }
    return $converted;
}
    
